Bug 209496 - openldap-server syncrepl failure bug
openldap-server syncrepl failure bug
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: openldap (Show other bugs)
6
All Linux
medium Severity high
: ---
: ---
Assigned To: Jan Safranek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-05 13:03 EDT by Need Real Name
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: openldap-2.3.30-2.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-18 04:10:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Diff file for syncrepl.c (948 bytes, patch)
2006-10-05 13:03 EDT, Need Real Name
no flags Details | Diff

  None (edit)
Description Need Real Name 2006-10-05 13:03:45 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Enable syncrepl for openldap-server slapd with any back end 
2. Connect to the syncrepl provider with a consumer
3. Modify an autofs (for example) entry on the provider.
  
Actual results:
Oct  4 16:53:18 auth1 slapd[2712]: <=
str2entry(ou=auto.import,dc=dcs,dc=qmul,dc=ac,dc=uk) -> 0x555555aecea0
Oct  4 16:53:18 auth1 slapd[2712]: <= id2entry_w( 80 ) 0x555555aecea0 (disk)
Oct  4 16:53:18 auth1 slapd[2712]: ldbm_back_modrdn: wr to children of entry
ou=auto.import,dc=dcs,dc=qmul,dc=ac,dc=uk OK
Oct  4 16:53:18 auth1 slapd[2712]: ldbm_back_modrdn: parent
dn=ou=auto.import,dc=dcs,dc=qmul,dc=ac,dc=uk
Oct  4 16:53:18 auth1 slapd[2712]: ldbm_back_modrdn: new parent "*" requested...
Oct  4 16:53:18 auth1 slapd[2712]: dn2entry_w: dn: "�UUU"
Oct  4 16:53:18 auth1 slapd[2712]: => dn2id( "�UUU" )
Oct  4 16:53:18 auth1 slapd[2712]: => ldbm_cache_open( "dn2id.dbb", 73, 600 )
Oct  4 16:53:18 auth1 slapd[2712]: <= ldbm_cache_open (cache 0)
Oct  4 16:53:18 auth1 slapd[2712]: <= dn2id NOID
Oct  4 16:53:18 auth1 slapd[2712]: ldbm_back_modrdn: newSup(ndn=�UUU) not here!


Expected results:
The above but returning null rather than garbage at "Oct  4 16:53:18 auth1
slapd[2712]: ldbm_back_modrdn: new parent "*" requested..."

Additional info:

This has been fixed upstream in openldap 2.3.27 CVS
Comment 1 Need Real Name 2006-10-05 13:03:45 EDT
Created attachment 137831 [details]
Diff file for syncrepl.c
Comment 2 Need Real Name 2006-10-05 13:04:42 EDT
This bug also exists in FC5 openldap-servers-2.3.19
Comment 3 Need Real Name 2006-11-03 10:55:15 EST
And in FC6 release. I assume the fix is in 2.3.28 stable if you're waiting for
an upstream fix.......
Comment 4 Matt Bernstein 2006-11-20 10:35:37 EST
Is anyone working on this bug?
Comment 5 Matt Bernstein 2006-12-08 08:05:55 EST
Does anyone else think that two months without even an acknowledgement is
unacceptable? I would have thought this was a simple open-and-shut case.

If bugzilla isn't the right place for reporting bugs, where is?
Comment 6 Matt Bernstein 2007-04-23 05:41:03 EDT
It's now been comfortably over six months. WHY IS NOBODY RESPONDING? You've even
got the fix. Sigh..
Comment 7 Jan Safranek 2007-05-18 04:10:35 EDT
openldap-2.3.30-2.fc6 has been pushed for fc6, which should resolve this issue.
 If these problems are still present in this version, then please make note of
it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.